import Vue from 'vue'
import App from './App'
//数据管理中心
import store from '@/config/store'
Vue.prototype.$store = store;
//权限配置中心
import base from '@/config/baseUrl'
Vue.prototype.$base = base;
//挂载全局http请求
import $http from '@/config/requestConfig'
Vue.prototype.$http = $http;
// #ifdef MP-WEIXIN
//挂载全局微信分享
import { wxShare } from '@/config/utils'
Vue.prototype.wxShare = wxShare;
// #endif
//判断是否登录
import { judgeLogin } from '@/config/login';
Vue.prototype.judgeLogin = judgeLogin;
Vue.config.productionTip = false;

import VueI18n from 'vue-i18n';
import en from './locales/en.json'; // 引入英文语言包
import zh from './locales/zh.json'; // 引入中文语言包
Vue.use(VueI18n); // 使用vue-i18n插件
 
const i18n = new VueI18n({
  locale: 'en', // 设置默认语言
  messages: { // 设置语言环境信息
    en: en,
    zh: zh,
  }
});
//全局组件
import zhouWeiNavBar from "@/components/common/zhouWei-navBar";
Vue.component("nav-bar", zhouWeiNavBar);
import publicModule from "@/components/common/public_module.vue";
Vue.component("public-module", publicModule);
import MescrollBody from "@/components/common/mescroll-uni/mescroll-body.vue";
Vue.component("mescroll-body", MescrollBody);
import VueClipboard from 'vue-clipboard2';
Vue.use(VueClipboard);
App.mpType = 'app'
const app = new Vue({
	i18n, // 将vue-i18n实例挂载到Vue实例上
	store,
	...App
})
app.$mount();